gnutls_ocsp_req_get_extension(3)

NAME
gnutls_ocsp_req_get_extension - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_get_extension(gnutls_ocsp_req_t req, unsigned indx, gnutls_datum_t * oid, unsigned int * critical, gnutls_datum_t * data);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t type

unsigned indx
    Specifies which extension OID to get. Use (0) to get the first one.

gnutls_datum_t * oid
    will hold newly allocated buffer with OID of extension, may be NULL

unsigned int * critical
    output variable with critical flag, may be NULL.

gnutls_datum_t * data
    will hold newly allocated buffer with extension data, may be NULL

DESCRIPTION
This function will return all information about the requested extension in the OCSP request. The information returned is the OID, the critical flag, and the data itself. The extension OID will be stored as a string. Any of oid , critical , and data may be NULL which means that the caller is not interested in getting that information back. The caller needs to deallocate memory by calling gnutls_free() on
 oid ->data and data ->data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. If you have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/